Skip to content

Get a single template by ID

GET
/notifications/{notificationId}/{channel}/templates/{templateId}
curl --request GET \
--url https://api.pingram.io/notifications/example/example/templates/example \
--header 'Authorization: Bearer <token>'
notificationId
required
string

Notification ID

channel
required
string

Channel type

templateId
required
string

Template ID

Successful response

Media type application/json
Any of:
Any of:
object
envId
required
string
notificationId
required
string
templateId
required
string
channel
required
string
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
default
required
boolean
isDefaultFor
object
key
additional properties
boolean
html
required
string
previewText
string
internal
required
string
subject
required
string
senderName
required
string
senderEmail
required
string
Example
{
"channel": "EMAIL"
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}